open OUnit

(* Collect the tests of different modules into one test suite *)
let suite = "Serialization library test suite" >::: 
  [Test_property.suite;
   Test_string_transform.suite;
   Test_formatting.suite;
   Test_printing.suite;
   Test_xml_printer.suite;
   Test_writer.suite;
   Test_scanning_buffer.suite;
   Test_scanning.suite;
   Test_token_eval.suite;
   Test_lexing.suite;
   Test_xml_lexer.suite;
   Test_reader.suite;
   Test_serializable.suite;
   Test_pipe_conversion.suite;
   Test_pipe_chain.suite;
   Test_serializing.suite;
   Test_fixed_length_serializer.suite;
   Test_field_collection.suite]
;;

let _ =
  OUnit.run_test_tt_main suite
;;

