open OUnit

(* Collect the tests of different modules into one test suite *)
let suite = "Ex-nunc core library test suite" >::: 
  [Test_cache.suite;
   Test_singleton.suite;
   Test_scheduler.suite;
   Test_cache_manager.suite;
   Test_logger.suite;
   Test_socket.suite;
   Test_callback_repository.suite;
   Test_stream.suite;
   Test_dbm.suite]
;;

let _ =
  OUnit.run_test_tt_main suite
;;

