(** This module implements the configuration file loader.
  *)

val load :
  ?resolvers:Pxp_reader.resolver list ->
  Netchannels.in_obj_channel ->
  string Xnc_serializable.field
(** [load in_ch] loads the configuration file from [in_ch] and return the
  * configuration file content as a serializable field.
  *
  * @param resolvers Optional PXP resolver list. *)

