type resource =
  { name : string;
    resource_type : string
  }
;;

type t = resource list;;

let create l = l;;

let get_name_list l =
  List.map
    (fun r -> r.name)
    l
;;

let get_filtered_name_list c l =
  List.map
    (fun r -> r.name)
    (List.filter c l)
;;

let get_page_name_list l =
  get_filtered_name_list
    (fun r ->
       r.resource_type = "xnc:page")
    l
;;

