type counters =
    { total_requests : int;
      total_errors : int
    }
;;

let default_counters =
  { total_requests = 0;
    total_errors = 0
  }
;;

let increment_total_requests c =
  let t = succ c.total_requests in
    { c with
          total_requests = t
    }
;;

let increment_total_errors c =
  let t = succ c.total_errors in
    { c with
          total_errors = t
    }
;;

