(** Server statistics.
  *)

type counters =
    { total_requests : int;
      total_errors : int
    }
(** Type of server counters. *)

val default_counters : counters
(** Default value of server counters. *)

val increment_total_requests : counters -> counters
(** [increment_total_requests c] increments total requests in [c]. *)

val increment_total_errors : counters -> counters
(** [increment_total_errors c] increments total errors in [c]. *)

