(** Server global values.
  *)

val server_version : string
(** Version of the application server. *)

val seed_length : int
(** Length in bytes of the seed used to initialize random number generator. *)

val state_id_length : int
(** Length in bytes of state ids. *)

type application_values =
    { version : string
    }
(** Type of application global values. *)

val default_values : application_values
(** Default values for application global values. *)

