open Ocamlbuild_plugin;;
open Command;;

let packages = "xnc-core,xnc-serialization,xnc-server";;

let ocamlfind cmd =
 S[A"ocamlfind"; A cmd; A"-package"; A packages];;

flag ["ocaml"; "link"] (A"-linkpkg");;

dispatch begin function
  | After_options ->
      Options.ocamlc := ocamlfind "ocamlc";
      Options.ocamlopt := ocamlfind "ocamlopt";
  | _ -> ()
end

