open Xnc_functional

module U = Unix

let compiler_name = "xnuncc"

let compiler_version = "1.0pre"

let alessandro_email = "a.strada@ex-nunc.org"

let paolo_email = "p.donadeo@ex-nunc.org"

let current_year = (U.time () |> U.gmtime).U.tm_year + 1900

let default_myocamlbuild_ml = "open Ocamlbuild_plugin;;
open Command;;

let packages = \"xnc-core,xnc-serialization,xnc-server\";;

let ocamlfind cmd =
 S[A\"ocamlfind\"; A cmd; A\"-package\"; A packages];;

flag [\"ocaml\"; \"link\"] (A\"-linkpkg\");;

dispatch begin function
  | After_options ->
      Options.ocamlc := ocamlfind \"ocamlc\";
      Options.ocamlopt := ocamlfind \"ocamlopt\";
  | _ -> ()
end\n\n"

