open OUnit

(* Collect the tests of different modules into one test suite *)

let validation_test_suite = "Validation" >:::
                            [
                              Validation_custom_test.suite;
                              Validation_test.suite;
                            ]


let suite = "Page compiler" >::: 
            [
              Lexer_test.suite;
              validation_test_suite;
            ]
;;

let _ =
  OUnit.run_test_tt_main suite
;;

