(** Command line processing.
  *)

type args =
    { application_name : string;
      configuration_path : string;
      configuration_dtd : string
    }
(** Type of the command line arguments. *)

val default_args : args
(** Default command line arguments. *)

val parse : Srv_values.application_values -> args
(** [parse v] parses command line arguments using application values stored in
  * [v]. *)

