open Camlp4.PreCast
open Xnc_functional
open Common_types
open Codegen_common

module FC = Fragment_composer

class validation_summary depth idx parsed_element parent_obj node =
object (self)
  inherit Elements.element depth idx parsed_element parent_obj node

  val module_name = "Validation_summary"
  val class_name = "validation_summary"
 
  method tag = Codegen_common.Validation_summary

  method target_files = [ Codegen_common.Page_target ]

  method private render_page_structure comp =
    comp |> FC.append_gen
      ("(* Rendering validation_summary element \"" ^ self#unique_id ^ "\" *)
let " ^ self#unique_id ^ " =
  new Srv_page_element.validation_summary
    (self#get_validator_collection)
    \"" ^ (attrs#value "header") ^ "\" in
  Srv_page_structure.add_element
    " ^ !!(self#parent)#unique_id ^ "
    (" ^ self#unique_id ^ " :> Srv_page_element.page_element);\n\n")
end

let make depth idx (block : Common_types.parsed_block) =
  let element = Common_lib.unwrap_element block in
  let constructor parent_obj node =
    let this_obj = new validation_summary depth idx element parent_obj node in
      (this_obj :> Elements.element_type) in
    Tree.Comp (constructor, Tree.null_computation)

