(* TODO: WRITE DOCS FOR THIS MODULE *)
open Common_types
open Common_lib

(* TODO: COMMENT THIS FUNCION *)
let no_validation el = ()

(* TODO: COMMENT THIS FUNCION *)
let page_validation el =
  (* Page encoding validation *)
  let page_encoding =
    try
      get_attribute_value el "encoding"
    with
      | Not_found -> "UTF-8" in
  (* Raises "Netconversion.encoding_of_string: unknown encoding"
   * if the encoding is an invalid string *)
  ignore (Netconversion.encoding_of_string page_encoding);

  let page_type =
    try
      get_attribute_value el "type"
    with
      | Not_found -> "standard" in

    if page_type = "error"
    then
      begin
        let page_param_elements =
          find_all_child_element el "page-parameters" in
          if (List.length page_param_elements) <> 0
          then
            raise (Illegal_child("page", el.el_pos, "page-parameters"))
      end
;;

